curl --request POST \
--url https://app.tagadapay.com/api/public/v1/stores/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"pageSize": 20
}
'{
"stores": [
{
"id": "store_123",
"name": "My Demo Store",
"type": "ecommerce",
"baseCurrency": "USD",
"presentmentCurrencies": [
"USD",
"EUR"
],
"chargeCurrencies": [
"USD"
],
"createdAt": "2024-03-20T10:30:00Z"
}
],
"total": 1,
"pageCount": 1
}Get all stores for the authenticated account with filtering, sorting, and pagination
curl --request POST \
--url https://app.tagadapay.com/api/public/v1/stores/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"pageSize": 20
}
'{
"stores": [
{
"id": "store_123",
"name": "My Demo Store",
"type": "ecommerce",
"baseCurrency": "USD",
"presentmentCurrencies": [
"USD",
"EUR"
],
"chargeCurrencies": [
"USD"
],
"createdAt": "2024-03-20T10:30:00Z"
}
],
"total": 1,
"pageCount": 1
}